This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 892414 - Guest hits acpi error and failed to resume when do s3 during migration (xbzrle enabled)
Guest hits acpi error and failed to resume when do s3 during migration (xbzrl...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Juan Quintela
Virtualization Bugs
:
Depends On:
Blocks: Virt-S3/S4-7.0
  Show dependency treegraph
 
Reported: 2013-01-06 22:43 EST by Qunfang Zhang
Modified: 2015-03-04 00:19 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-04 00:19:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
isa serial log during s3 and migration (44.07 KB, text/plain)
2013-01-06 22:44 EST, Qunfang Zhang
no flags Details

  None (edit)
Description Qunfang Zhang 2013-01-06 22:43:47 EST
Description of problem:
Repeat to do S3 and resume loop during migration, guest sometimes failed to resume and hit ACPI error after migration. Reproduce 3 times after about 15 rounds or migration when xbzrle enabled. While disable xbzrle, have not reproduced yet after about 15 rounds of migration. I will update bz once hit it when xbzlre disabled. 

Version-Release number of selected component (if applicable):
Host:
kernel-3.6.0-0.29.el7.x86_64
qemu-kvm-1.2.0-21.el7.x86_64
seabios-bin-1.7.1-4.el7.noarch

Guest:



How reproducible:
3/15

Steps to Reproduce:
1. Boot guest on source host and also dst host with listening mode

CLI:

# /usr/libexec/qemu-kvm -cpu SandyBridge -enable-kvm -m 2048 -smp 2,sockets=2,cores=1,threads=1 -enable-kvm -name t2-rhel6.4-64 -uuid 61b6c504-5a8b-4fe1-8347-6c929b750dde -k en-us -rtc base=localtime,clock=host,driftfix=slew -no-kvm-pit-reinjection -device piix3-usb-uhci,id=usb,bus=pci.0,addr=0x1.0x2 -device usb-tablet,id=input0 -drive file=/mnt/rhel6.4-64-virtio.qcow2,if=none,id=disk0,format=qcow2,werror=stop,rerror=stop,aio=native -device virtio-blk-pci,bus=pci.0,addr=0x3,drive=disk0,id=disk0  -drive file=/mnt/boot.iso,if=none,media=cdrom,id=drive-ide0-1-0,readonly=on,format=raw -device ide-drive,drive=drive-ide0-1-0,bus=ide.1,unit=0,id=cdrom -netdev tap,id=hostnet0,vhost=on -device virtio-net-pci,netdev=hostnet0,id=net0,mac=44:37:E6:5E:91:85,bus=pci.0,addr=0x5 -monitor stdio -qmp tcp:0:6666,server,nowait -chardev socket,path=/tmp/isa-serial,server,nowait,id=isa1 -device isa-serial,chardev=isa1,id=isa-serial1 -device virtio-serial-pci,id=virtio-serial0,bus=pci.0,addr=0x8 -chardev socket,id=charchannel0,path=/tmp/serial-socket,server,nowait -device virtserialport,bus=virtio-serial0.0,nr=1,chardev=charchannel0,id=channel0,name=com.redhat.rhevm.vdsm -chardev socket,path=/tmp/foo,server,nowait,id=foo -device virtconsole,chardev=foo,id=console0  -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x9 -vnc :10 -k en-us -boot c -chardev socket,path=/tmp/qga.sock,server,nowait,id=qga0 -device virtserialport,bus=virtio-serial0.0,chardev=qga0,name=org.qemu.guest_agent.0  -global  PIIX4_PM.disable_s3=0 -global PIIX4_PM.disable_s4=0


2. Enable xbzrle on both src and dst host
(qemu) migrate_set_capabilities xbzrle on

3. On src host:
(qemu) migrate_set_cache_size 2G

4. Do migration

5. During migration, do s3/resume in a loop.
  
Actual results:
Guest hit ACPI error and failed to resume.

Expected results:
Guest should always work.


Additional info:
Comment 1 Qunfang Zhang 2013-01-06 22:44:27 EST
Created attachment 673681 [details]
isa serial log during s3 and migration
Comment 2 Qunfang Zhang 2013-01-06 22:45:28 EST
Guest:
rhel6.4-64
kernel: 2.6.32-348.el6.x86_64
Comment 5 Juan Quintela 2014-08-13 07:18:40 EDT
Do you have the ACPI backtrace?
Thanks.

Note You need to log in before you can comment on or make changes to this bug.